import Places from "../entity/placeEntity";

class PlacesModel {
  private placeType: string;

  private name: string;

  private qr: null;

  private id: string;

  private parentId: string | null;

  constructor(store: Places) {
    const { id, name, parentId, placeType, qr } = store;
    this.parentId = parentId;
    this.id = id;
    this.qr = qr;
    this.name = name;
    this.placeType = placeType;
  }

  getData(): Places {
    return {
      id: this.id,
      name: this.name,
      parentId: this.parentId,
      placeType: this.placeType,
      qr: this.qr,
    };
  }
}

export default PlacesModel;
